Skip to main content
POST
/
workspaces
Create workspace
curl --request POST \
  --url https://app.mavera.io/api/v1/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "user",
  "image": "<string>",
  "budget_alert": 123,
  "usage_limit": 123,
  "billing_email": "jsmith@example.com"
}
'
{
  "id": "<string>",
  "object": "workspace",
  "name": "<string>",
  "image": "<string>",
  "type": "enterprise",
  "role": "owner",
  "is_owner": true,
  "member_count": 123,
  "project_count": 123,
  "thread_count": 123,
  "budget_alert": 123,
  "usage_limit": 123,
  "billing_email": "<string>",
  "members": [
    {
      "object": "workspace.member",
      "user_id": "<string>",
      "email": "jsmith@example.com",
      "role": "owner",
      "status": "active",
      "joined_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Body

application/json
name
string
required

Workspace name

Required string length: 1 - 100
type
enum<string>
default:user

Workspace type

Available options:
enterprise,
marketing_agency,
user,
starter
image
string<uri>

Workspace image URL

budget_alert
integer

Credit usage alert threshold

usage_limit
integer

Credit usage limit

billing_email
string<email>

Email for billing notifications

Response

Workspace created successfully

id
string

Unique workspace identifier

object
enum<string>
Available options:
workspace
name
string

Workspace name

image
string | null

Workspace image URL

type
enum<string>

Type of workspace

Available options:
enterprise,
marketing_agency,
user,
starter
role
enum<string>

Your role in this workspace

Available options:
owner,
manager,
analyst,
viewer,
editor,
creative_specialist,
client_viewer,
department_admin
is_owner
boolean

Whether you are the owner

member_count
integer

Total members including owner

project_count
integer

Number of projects

thread_count
integer

Number of threads/conversations

budget_alert
integer | null

Credit usage alert threshold

usage_limit
integer | null

Credit usage limit

billing_email
string | null

Email for billing notifications

members
object[]

List of members (when include_members=true)

created_at
string<date-time>
updated_at
string<date-time>